XZGREP(1)

NAME
xzgrep - search compressed files for a regular expression

SYNOPSIS
xzgrep [grep_options] [-e] pattern file...
xzegrep ...
xzfgrep ...
lzgrep ...
lzegrep ...
lzfgrep ...

DESCRIPTION
xzgrep invokes grep(1) on files which may be either uncompressed or compressed with xz(1), lzma(1), gzip(1), or bzip2(1). All options specified are passed directly to grep(1).

If no file is specified, then the standard input is decompressed if necessary and fed to grep(1). When reading from standard input, gzip(1) and bzip2(1) compressed files are not supported.

If xzgrep is invoked as xzegrep or xzfgrep then egrep(1) or fgrep(1) is used instead of grep(1). The same applies to names lzgrep, lzegrep, and lzfgrep, which are provided for backward compatibility with LZMA Utils.

ENVIRONMENT

GREP
    If the GREP environment variable is set, xzgrep uses it instead of grep(1), egrep(1), or fgrep(1).

SEE ALSO
grep(1), xz(1), gzip(1), bzip2(1), zgrep(1)